SpeciesInfo (images Maven Webapp 1.2.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.images.model
Class SpeciesInfo

    java.lang.Object
      org.gcube.application.aquamaps.images.model.SpeciesInfo

    public class SpeciesInfo

extends Object

Constructor Summary
`SpeciesInfo()`
`SpeciesInfo(String scientificName, String suitableURI, String nativeURI, String suitable2050uri, String native2050uri, String pic)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getNative2050URI()`
`String` | `getNativeURI()`
`String` | `getPic()`
`String` | `getScientificName()`
`String` | `getSuitable2050URI()`
`String` | `getSuitableURI()`
`int` | `hashCode()`
`void` | `setNative2050URI(String native2050uri)`
`void` | `setNativeURI(String nativeURI)`
`void` | `setPic(String pic)`
`void` | `setScientificName(String scientificName)`
`void` | `setSuitable2050URI(String suitable2050uri)`
`void` | `setSuitableURI(String suitableURI)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpeciesInfo

    public SpeciesInfo()

### SpeciesInfo

    public SpeciesInfo(String scientificName,
                       String suitableURI,
                       String nativeURI,
                       String suitable2050uri,
                       String native2050uri,
                       String pic)

Method Detail

### getScientificName

    public String getScientificName()

  Returns:
    the scientificName

### setScientificName

    public void setScientificName(String scientificName)

  Parameters:
    `scientificName` - the scientificName to set

### getSuitableURI

    public String getSuitableURI()

  Returns:
    the suitableURI

### setSuitableURI

    public void setSuitableURI(String suitableURI)

  Parameters:
    `suitableURI` - the suitableURI to set

### getNativeURI

    public String getNativeURI()

  Returns:
    the nativeURI

### setNativeURI

    public void setNativeURI(String nativeURI)

  Parameters:
    `nativeURI` - the nativeURI to set

### getSuitable2050URI

    public String getSuitable2050URI()

  Returns:
    the suitable2050URI

### setSuitable2050URI

    public void setSuitable2050URI(String suitable2050uri)

  Parameters:
    `suitable2050uri` - the suitable2050URI to set

### getNative2050URI

    public String getNative2050URI()

  Returns:
    the native2050URI

### setNative2050URI

    public void setNative2050URI(String native2050uri)

  Parameters:
    `native2050uri` - the native2050URI to set

### getPic

    public String getPic()

  Returns:
    the pic

### setPic

    public void setPic(String pic)

  Parameters:
    `pic` - the pic to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.